Package com.google.gwt.user.cellview.client

## Interface CellTable.Resources

- All Superinterfaces:
    `ClientBundle`
  All Known Subinterfaces:
    `CellTable.BasicResources`
  Enclosing class:
    CellTable<T>

      public static interface CellTable.Resources
      extends ClientBundle

  A ClientBundle that provides images for this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `ClientBundle.Source`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageResource` | `cellTableFooterBackground()` | The background used for footer cells.
    `ImageResource` | `cellTableHeaderBackground()` | The background used for header cells.
    `ImageResource` | `cellTableLoading()` | The loading indicator used while the table is waiting for data.
    `ImageResource` | `cellTableSelectedBackground()` | The background used for selected cells.
    `ImageResource` | `cellTableSortAscending()` | Icon used when a column is sorted in ascending order.
    `ImageResource` | `cellTableSortDescending()` | Icon used when a column is sorted in descending order.
    `CellTable.Style` | `cellTableStyle()` | The styles used in this widget.

- - ### Method Detail

    - #### cellTableFooterBackground

          @Source("cellTableHeaderBackground.png")
          @ImageOptions(repeatStyle=Horizontal,
                        flipRtl=true)
          ImageResource cellTableFooterBackground()

      The background used for footer cells.

    - #### cellTableHeaderBackground

          @ImageOptions(repeatStyle=Horizontal,
                        flipRtl=true)
          ImageResource cellTableHeaderBackground()

      The background used for header cells.

    - #### cellTableLoading

          @ImageOptions(flipRtl=true)
          ImageResource cellTableLoading()

      The loading indicator used while the table is waiting for data.

    - #### cellTableSelectedBackground

          @Source("cellListSelectedBackground.png")
          @ImageOptions(repeatStyle=Horizontal,
                        flipRtl=true)
          ImageResource cellTableSelectedBackground()

      The background used for selected cells.

    - #### cellTableSortAscending

          @Source("sortAscending.png")
          @ImageOptions(flipRtl=true)
          ImageResource cellTableSortAscending()

      Icon used when a column is sorted in ascending order.

    - #### cellTableSortDescending

          @Source("sortDescending.png")
          @ImageOptions(flipRtl=true)
          ImageResource cellTableSortDescending()

      Icon used when a column is sorted in descending order.

    - #### cellTableStyle

          @Source("com/google/gwt/user/cellview/client/CellTable.css")
          CellTable.Style cellTableStyle()

      The styles used in this widget.